@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:'Poppins',sans-serif;
}

body{
background: var(--bg-main);
color: var(--text-main);
overflow:hidden;
}

/* ============ MAIN LAYOUT ============ */

.player{
display:flex;
height:calc(100vh - 95px);
}

/* ============ SIDEBAR ============ */

.sidebar{
width:260px;
padding:40px 25px;
background:rgba(10,15,20,0.65);
backdrop-filter:blur(20px);
border-right:1px solid rgba(255,255,255,0.05);
}
.brand{
display:flex;
flex-direction:column;
align-items:flex-start;
margin-bottom:50px;
}

.logo{
font-size:29px;
font-weight:700;
line-height:1.1;
color:#ffffff;
}

.logo span{
color: var(--accent);
}

.madeby{
font-size:14px;
margin-top:1px;
margin-left: 49px;
color:#8fbfe0;
}

.madeby span{
color: var(--accent);
font-weight:500;
}
.logo{
font-size:28px;
font-weight:600;
margin-bottom:2px;
}

.sidebar nav a{
display:flex;
align-items:center;
gap:12px;
padding:12px 15px;
border-radius:10px;
color:#b5c1ce;
text-decoration:none;
margin-bottom:12px;
transition:0.3s;
}

.sidebar nav a:hover{
background:rgba(15, 138, 187, 0.5);
color:#ffffff;
}

/* ============ CONTENT ============ */

.content{
flex:1;
padding:50px;
overflow-y:auto;
}

.content h1{
font-size:34px;
margin-bottom:35px;
}

/* ============ ALBUM GRID ============ */

.albums{
display:grid;
grid-template-columns:repeat(auto-fill,minmax(220px,1fr));
gap:35px;
}

/* ============ CARD ============ */

.card{
background:rgba(255,255,255,0.07);
backdrop-filter:blur(12px);
border-radius:22px;
padding:18px;
box-shadow:0 20px 40px rgba(0,0,0,0.5);
cursor:pointer;
transition:0.45s;
position:relative;
overflow:hidden;
}

.card::before{
content:"";
position:absolute;
inset:0;
background:linear-gradient(120deg,transparent,#1178b370,transparent);
opacity:0;
transition:0.4s;
}

.card:hover::before{
opacity:1;
}

.card:hover{
transform:translateY(-15px) scale(1.05);
}

.card img{
width:100%;
border-radius:16px;
margin-bottom:14px;
}

.card h3{
font-size:18px;
font-weight:500;
}

.card p{
font-size:14px;
color:#b5c1ce;
margin-top:4px;
}

/* ============ BOTTOM PLAYER ============ */

.bottom-player{
height:95px;
background:rgba(0, 0, 0, 0.418);
backdrop-filter:blur(15px);
display:flex;
align-items:center;
justify-content:space-between;
padding:0 40px;
border-top:1px solid rgba(255,255,255,0.05);
}

.song-info{
display:flex;
align-items:center;
gap:15px;
}

.song-info img{
width:60px;
height:60px;
border-radius:12px;
object-fit:cover;
}

.song-info h4{
font-size:16px;
}

.song-info p{
font-size:13px;
color:#aaa;
}

/* ============ CONTROLS ============ */

.controls{
display:flex;
align-items:center;
gap:22px;
}

.controls button{
width:44px;
height:44px;
border-radius:50%;
border:none;
background:linear-gradient(135deg,#1178b370,#1178b370);
color:#f7f4f4;
font-size:18px;
cursor:pointer;
box-shadow:0 0 15px #17a7faf6;
transition:0.3s;
}

.controls button:hover{
transform:scale(1.15);
}

/* ============ SCROLLBAR ============ */

.content::-webkit-scrollbar{
width:6px;
}

.content::-webkit-scrollbar-thumb{
background:#10749c;
border-radius:10px;
}
/* Theme */

:root{
--bg-main: linear-gradient(135deg,#071b2a,#0b2d44,#07131f);
--glass-dark: rgba(10,30,50,0.75);
--glass-light: rgba(20,60,90,0.6);
--accent: #2dd4ff;
--accent-glow: rgba(45,212,255,0.6);
--text-main: #ffffff;
--text-muted: #a9c6dd;
}
.section-title{
margin:70px 0 30px;
font-size:26px;
}
/* FIX CONTENT SHIFT */

.content{
max-width:none;
margin:0;
padding-left:50px;
padding-right:50px;
}
.section-title{
margin-left:5px;
}
.sidebar nav a{
position:relative;
overflow:hidden;
padding:12px 16px;
border-radius:10px;
transition:all .35s cubic-bezier(.4,0,.2,1);
}

/* sliding glow  */

.sidebar nav a::before{
content:"";
position:absolute;
left:-100%;
top:0;
width:100%;
height:100%;
background:linear-gradient(90deg,transparent,rgba(45,212,255,0.25),transparent);
transition:.45s;
}

/* hauuuuuver  */

.sidebar nav a:hover::before{
left:100%;
}

.sidebar nav a:hover{
background:rgba(45,212,255,0.12);
color:var(--accent);
transform:translateX(6px);
}

/* click  */

.sidebar nav a:active{
transform:scale(.95);
}

.mobile-warning{
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
background:rgba(0,0,0,0.8);
backdrop-filter:blur(6px);
display:none;
align-items:center;
justify-content:center;
z-index:9999;
}

.warning-box{
background:rgba(255, 2, 2, 0.9);
padding:30px 35px;
border-radius:18px;
text-align:center;
box-shadow:0 0 40px rgb(236, 4, 4);
max-width:320px;
}

.warning-box h2{
color:#000000;
margin-bottom:12px;
}

.warning-box p{
color:#060704;
font-size:15px;
margin-bottom:20px;
}

.warning-box button{
background:linear-gradient(135deg,#f7f3f3,#ece6e6);
border:none;
padding:10px 24px;
border-radius:20px;
cursor:pointer;
font-weight:600;
}

.warning-box button:hover{
transform:scale(1.08);
}
